Package be.ehealth.business.common.util

# Class BusinessConfigUtil

java.lang.Object
be.ehealth.business.common.util.BusinessConfigUtil

public final class BusinessConfigUtil extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT`
  default project name
  `static final String`
  `USE_DEFAULT_PROPERTIES`
  suffix that indicates use of default properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isNet()`
  `static boolean`
  `retrieveBooleanProjectProperty(String prefix, String projectName, String suffix, boolean defaultValue)`
  retrieve a boolean value from properties files.
  verify if you need to use the default value (defined by prefix + projectName + usedefaultproperties)
  before trying to get the specific value.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### USE_DEFAULT_PROPERTIES

    public static final String USE_DEFAULT_PROPERTIES
    suffix that indicates use of default properties.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    public static final String DEFAULT
    default project name
    See Also:
      - Constant Field Values

- ## Method Details

  - ### retrieveBooleanProjectProperty

    public static boolean retrieveBooleanProjectProperty(String prefix, String projectName, String suffix, boolean defaultValue)
    retrieve a boolean value from properties files.
    verify if you need to use the default value (defined by prefix + projectName + usedefaultproperties)
    before trying to get the specific value. (defined by prefix + projectName + suffix)
    Parameters:
      `prefix` -
      `projectName` -
      `suffix` -
      `defaultValue` - if no properties are defined this value 'll be used
    Returns:
      boolean value

  - ### isNet

    public static boolean isNet() throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`